- Qt 5.15
- Qt 3D
- QML Types
- Buffer QML Type
- Qt 5.15.19 Reference Documentation

# Buffer QML Type

Provides a data store for raw data to later be used as vertices or uniforms. More...

Import Statement: | import Qt3D.Render 2.15
Instantiates: | QBuffer

- List of all members, including inherited members
- Obsolete members

## Properties

- syncData : bool
- usage : QBuffer::UsageType

## Detailed Description

## Property Documentation

syncData : bool

Holds the syncData flag. When syncData is true, this will force data created by a Qt3DRender::QBufferDataGenerator to also be updated on the frontend Qt3DRender::QBuffer node. By default syncData is false.

Note: : This has no effect if the buffer's data was set directly using the data property.

usage : QBuffer::UsageType

Holds the buffer usage.